#include "container_window.h"

container_window::container_window(conexion *con, Glib::RefPtr< Gtk::Application > app):
  sesion(new session_manager(con)),loggin(sesion.get())
{
  this->app=app;
  this->app->run(loggin);
  if(this->loggin.login){
      this->cont_info=new controller_info(&info, sesion.get());
      this->cont_inst=new controller_install(&install, sesion.get(), this->cont_info);
      this->app.reset();
      this->app=Gtk::Application::create( "org.gtkmm.examples.base");
      this->add(this->book);
      this->book.append_page(install,"build");
      this->book.append_page(this->info,"info");
      if(this->loggin.admin){
          this->con_uinfo=new controller_user_info(&uinfo, sesion.get(), this);
          this->book.append_page(this->uinfo,"users");
        }
      this->show_all_children();
      this->app->run(*this);
    }
}
