#ifndef CONTROLADOR_H
#define CONTROLADOR_H
#include "view_install.h"
#include "conexion.h"
#include "session_manager.h"
#include "controller_info.h"

class controller_install
{
public:
  /**
   * @brief controller_install
   * View controler that send a name package to build
   * @param view View to controle
   * @param sesion Model to have the funcionality
   * @param cont Window that contains these view
   */
  controller_install(view_install* view, session_manager* sesion, controller_info* con);
private:
  view_install *vis;
  session_manager *sesi;
  controller_info *con;
  /**
   * @brief add_controlers
   * Add controlers to the bottons
   */
  void add_controlers();
  /**
   * @brief on_button_clicked
   * Button function
   */
  void on_button_clicked();
};

#endif // CONTROLADOR_H
