#include "conexion_ssl.h"
#include <iostream>
#include "container_window.h"

#define FILE_CONFIG "config"

using namespace std;

int main(int argc, char *argv[])
{
  config_reader conf = config_reader(FILE_CONFIG);
  conexion* con;
  string option;
  if(conf.get_param("security", option)){
      if(option=="yes"){
          con = new conexion_ssl(conf);
        }else if(option=="no"){
          con = new conexion(conf);
        }else{
          perror("invalid option in security");
        }
    }else{
      perror("no securty option found in config");
    }
  auto app=Gtk::Application::create(argc, argv, "org.gtkmm.example");
  container_window cont(con, app);
  return 0;
}
