#ifndef VIEW_USER_INFO_H
#define VIEW_USER_INFO_H

#include <gtkmm/box.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/treeview.h>
#include <gtkmm/liststore.h>

class view_user_info: public Gtk::Box
{
public:
  /**
   * @brief view_user_info
   * View to show all users information
   */
  view_user_info();
  Gtk::TreeView tree;
  class ModelColumns : public Gtk::TreeModel::ColumnRecord
    {
    public:
      ModelColumns()
      { add(r_user); add(r_admin); }
      Gtk::TreeModelColumn<std::string> r_user;
      Gtk::TreeModelColumn<bool> r_admin;
    };

  ModelColumns m_Columns;
  Glib::RefPtr<Gtk::ListStore> m_refTreeModel;

  Gtk::ButtonBox b_box;
  Gtk::Button b_add_user;
  Gtk::Button b_dell_user;
  /**
   * @brief restart_table
   * Rescan all users information
   */
  void restart_table();
};

#endif // VIEW_USER_INFO_H
